export declare type Commit = {
    fullHash: string;
    partialHash: string;
    author: Person;
    authorTime: Date;
    committer: Person;
    commitTime: Date;
    subject: string;
    body: string;
    tags: string[];
    refs?: string[];
    diff?: GitDiff;
    fullBody?: string;
    treeHash?: string;
    partialTreeHash?: string;
    parentHashes?: string[];
    partialParentHashes?: string[];
    notes?: string;
    gpgKey?: string;
    gpgSigner?: Person | null;
    gpgStatus?: string;
};
export interface GitDiff {
    added: Set<string>;
    deleted: Set<string>;
    modified: Set<string>;
    touched: Set<string>;
}
export interface Person {
    name: string;
    email: string;
}
export declare class CommitBuilder {
    private static readonly sources;
    private static readonly defaultKeys;
    readonly formatString: string;
    private readonly keys;
    constructor(optionalKeys: Set<keyof Commit>);
    buildAll(rawData: string): Commit[];
    private placeholderTokens();
    private buildCommit(rawData);
}
